
QGIS Application - Bug report #2202

UI's glitches when using the FR localization

2009-12-06 10:00 AM - Jean-Roc Morreale

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Mandriva Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12262

Description

Hello, I've 2 situations where the fact of using fr_Fr cause problems in the interface. They're not blocking, just making the interface harder

to read.

1. There is no space between the label of the box and the number even when the text has a similar length than the en_US version (see

screenshot 'boxspace.png')

2. The new vertical tabs list is too small to handle the translated title (see screenshot 'listspace.png'). This one can also be seen using 'de'

as the locale.

I can't say if this a platform specific problem as i do not have trunk's build for Windows

Associated revisions

Revision 8006e3c2 - 2009-12-06 10:30 PM - Jürgen Fischer

fix #2202

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12343 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 944c4572 - 2009-12-06 10:30 PM - Jürgen Fischer

fix #2202

git-svn-id: http://svn.osgeo.org/qgis/trunk@12343 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-13 04:03 AM - Jean-Roc Morreale

#3905 is solved as extra blank space has been added in the the fr.ts file. #3906 remains the same.

#2 - 2010-05-15 08:23 AM - Jean-Roc Morreale

The issue is still valid on [[WinXP]]/GNOME/KDE, I've to change the default font size of Qt to have the whole text inside the column but even then the cions

are not aligned.
#3 - 2011-03-04 01:33 AM - Paolo Cavallini

Still true for trunk?

#4 - 2011-03-04 05:43 AM - Jean-Roc Morreale

- Resolution set to fixed

- Status changed from Open to Closed

tab are now handled horizontally so this problem doesn't exist anymore, I'm closing this ticket
